/* 博客标题和副标题 */

body,
html {
    overflow-x: hidden;
    cursor: url('https://images.cnblogs.com/cnblogs_com/matoka/1841459/o_200904115625qb.png'), default;
}

a {
    cursor: url('https://magireco.moe/favicon.ico'), default;
}

#blogTitle {
    display: block!important;
    width: 100%;
    height: 188px;
    position: absolute;
    top: -8px;
    left: 8px;
    overflow: hidden;
    overflow-x: hidden;
}

#blogTitle::after {
    content: "";
    display: block;
    border-radius: 0px 8px 8px 0px;
    width: 8px;
    height: 40px;
    position: absolute;
    right: 0px;
    top: 100px;
    background: #f1939c;
}

#blogTitle::before {
    content: "";
    display: block;
    border-radius: 8px 8px 0px 0px;
    width: 40px;
    height: 8px;
    position: absolute;
    right: 100px;
    background: #f1939c;
}

#blogTitle h1 {
    display: inline-block;
    text-align: center;
    width: 200px;
    height: 40px;
    line-height: 40px;
    position: absolute;
    top: 30px;
    right: -50px;
    z-index: 2;
    overflow: hidden;
    transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    border: 0;
    box-shadow: 0 0 0 3px #f1939c, 0px 21px 5px -18px #f1939c;
    background: #f1939c;
    overflow-x: hidden;
}

#blogTitle h2 {
    margin-left: 0;
    width: 100%;
    font-size: 20px;
    font-weight: bold;
    color: #000;
}


/*博客导航栏 */

#header,
#navList>li>a.menu {
    background-color: pink!important;
    color: white!important;
}

#navList {
    float: left;
}

#navList li {
    border: none;
    font-size: 1px;
    text-shadow: 0 0 0.3rem #f87, -0 -0 0.3rem #f87;
}

.blogStats {
    display: none;
}


/*sideBar博客侧边栏容器*/

#sideBar {
    min-width: 320px!important;
    box-sizing: border-box;
    margin-left: 30px;
    padding: 0;
}

.newsItem,
.catListComment,
.catListEssay,
.catListView,
.catListFeedback,
#blog-calendar,
#sidebar_postcategory,
#sidebar_postcategory,
#sidebar_postarchive,
#sidebar_search {
    /*侧边栏每一模块添加圆角和阴影*/
    border-radius: 10px;
    box-shadow: 1px 2px 3px #A7A8AD;
    background-color: #fff;
}

#sideBarMain h3,
.newsItem h3 {
    /*侧边栏每个模块的标题部分*/
    font-size: 1.2em;
    height: 50px;
    line-height: 50px;
    text-indent: 0.5em;
    background: url(https://images.cnblogs.com/cnblogs_com/matoka/1841459/t_200904115625qb.png) no-repeat left center #fff;
    padding: 0 0 0 50px;
    margin-bottom: 0;
    border: 1px solid pink;
    border-left-width: 5px;
    border-radius: 10px;
    border-right-width: 5px;
    background-size: 15%;
    background-position: 20px 0 0 0;
}


/*侧边栏列表样式*/

#sideBarMain ul {
    background-color: #fff;
    padding: 15px 20px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

#sideBarMain li {
    line-height: 40px;
    border-bottom: 1px solid #ddd;
    font-size: 14px;
}

#sidebar_news>h3 {
    color: white;
    font-size: 20px;
    text-shadow: 0 0 0.8rem #f87, -0 -0 0.8rem #f87;
}

#blog-news>img {
    /*头像*/
    display: block;
    margin: auto;
    width: 220px;
    height: 220px;
    border-radius: 100%;
}

#profile_block {
    font-size: 15px;
    padding: 20px;
    line-height: 1.8;
}

#profile_block>a:link {
    color: #c45a65;
}

#profile_block>a {
    color: #c45a65;
}


/* 日历 */

#blog-calendar,
#calendar {
    width: 300px;
    background-image: url('https://images.cnblogs.com/cnblogs_com/matoka/1841459/o_200904092013matoka4.jpg');
    background-size: cover;
}

#blog-calendar td {
    padding: 5px 3px;
    font-size: 14px;
}

#blog-calendar td a {
    font-weight: bold;
    color: #ce5777;
}

#blog-calendar table a:hover {
    color: #ce5777;
    text-decoration: underline;
    background: transparent;
}

#blog-calendar table u {
    text-decoration: none;
}

#blogCalendar {
    background: rgba(255, 255, 255, 0.4);
}


/*日历结束*/


/*侧边搜索框*/

.mySearch {
    padding-bottom: 10px;
}

.mySearch>div {
    padding-top: 10px
}

.mySearch #q,
#google_q {
    height: 40px;
    width: 150px;
    border-radius: 5px;
    border: 1px solid #ddd;
}

.mySearch #btnZzk,
#widget_my_google>input.btn_my_zzk {
    height: 42px;
    width: 90px;
    background: pink;
    color: #fff;
    border-radius: 5px;
    border: none;
    font-size: 15px;
    cursor: pointer;
}

.div_my_zzk {
    padding: 0 20px;
    display: flex;
    justify-content: space-around;
}


/*搜索框结束*/


/*评论*/


/*评论列表*/

#blog-comments-placeholder {
    border-radius: 10px;
    background: #fff;
    padding: 30px 40px;
}

.feedback_area_title {
    background: url(//www.cnblogs.com/skins/red_autumnal_leaves/images/titlebg.png) no-repeat left center #fff;
    border: 1px solid pink;
    border-left-width: 5px;
    border-radius: 10px;
    border-right-width: 5px;
    padding: 15px 50px;
}


/* 提交评论按钮 */

#btn_comment_submit {
    border: solid 1px #e3b4b8 !important;
    width: 90px;
    height: 40px;
    color: #fff !important;
    background-color: #e3b4b8 !important;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
}


/*侧边评论*/

li.recent_comment_body {
    line-height: 30px;
}


/* 个性签名 */

#MySignature {
    box-shadow: 8px 1px 10px #989898;
    padding: 10px;
    text-shadow: 1px 1px 1px #FFF;
    font-size: 17px;
    border-left: solid 5px pink;
    background: #F3F3F3;
    border-radius: 10px 10px 50% 10px;
    line-height: 2.4;
    margin: 40px 0;
}

#MySignature a {
    text-decoration: none;
    color: #f1939c;
    font-weight: bold;
}

#cb_post_title_url>a #MySignature a:hover {
    text-decoration: underline;
    color: pink;
}

#MySignature span {
    color: pink;
}


/* 标题title样式 */

#topics .postTitle {
    font-size: 25px;
    padding: 0 40px;
    border: none;
    box-sizing: border-box;
}

#cb_post_title_url {
    border: 1px solid pink;
    border-left-width: 5px;
    border-radius: 10px;
    border-right-width: 5px;
    background-position: left center;
    padding: 15px 50px;
    width: 100%;
    display: inline-block;
    box-sizing: border-box;
}


/*设置背景色和字体大小*/

body {
    font-size: 15px;
    box-sizing: border-box;
}


/*mainContent主体内容容器*/

#home {
    overflow-x: hidden;
}

#main {
    display: flex;
    width: 95%;
    background: rgba(41, 33, 33, 0);
    justify-content: center;
}

#mainContent .forFlow {
    margin: 0 0px 0 0;
    width: 100%;
}

#topics>div.post {
    padding: 32px 10px;
}

#mainContent {
    margin: 0 0 0 0;
    background: rgba(255, 255, 255, 0.4);
    width: 100%!important;
}

#post_detail {
    overflow: hidden;
}


/* 主体内容样式 */

.postBody {
    padding: 20px 40px;
}

#cnblogs_post_body {
    font-size: 15px;
}

#cnblogs_post_body h2 {
    border-left: 5px solid pink;
    padding: 10px 20px;
    line-height: 2;
    background: #d6dbdf8a;
    margin: 30px 0;
}

#cnblogs_post_body h4 {
    background-color: #e3b4b8;
    text-shadow: 0 0 0.3rem #f87, -0 -0 0.3rem #f87;
}

#cnblogs_post_body p {
    font-size: 1em;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-family: "Microsoft YaHei", Lato, "PingFang SC", sans-serif;
    letter-spacing: .015em;
}

#topics .postDesc {
    display: none;
}


/* 关注收藏等几个按钮 */

#green_channel {
    padding: 10px;
    margin: 20px 0;
    font-size: 15px;
    width: 400px;
}

#green_channel a {
    border-radius: 3px;
    text-shadow: none;
    font-weight: normal;
    box-shadow: none;
}


/* 禁用下划线 */

.postBody a:link,
.postBody a:visited,
.postBody a:active {
    text-decoration: none;
}


/* 上一篇下一篇 */

#post_next_prev {
    font-size: 14px;
    color: #535353;
}


/*底部隐藏作者，隐藏推荐和反对*/

#author_profile {
    display: none;
}

#div_digg {
    display: none;
}


/*隐藏广告*/

#ad_t2,
#cnblogs_c1,
#under_post_news,
#cnblogs_c2,
#under_post_kb {
    display: none;
}

canvas {
    z-index: 999!important;
    opacity: 0.4!important;
    pointer-events: none;
}

#mainContent>div>div>div.postTitle {
    border-left-color: #ed9db2;
}

#mainContent>div>div>div.postTitle>a>span:hover {
    color: #ce5777;
}

#mainContent>div>div>div.postTitle>a>span {
    font-size: 24px;
}

#mainContent>div>div>div.postCon>div>a,
#mainContent>div>div>div.postDesc>a {
    color: #ce5777;
}

#mainContent>div>div>div.postCon>div.c_b_p_desc {
    text-overflow: ellipsis;
    font-family: consolas, "Source Code Pro", monaco, monospace !important;
    font-size: 15px;
}

@media screen and (max-width: 400px) {
    #sideBar {
        margin-left: 0;
        min-width: 0!important;
        width: 0!important;
    }
    #topics>div.post {
        padding: 0;
    }
    #mainContent {
        width: 100%!important;
    }
}

@media screen and (max-width: 950px) {
    #sideBar {
        margin-left: 0;
        min-width: 0!important;
        width: 0!important;
    }
    #topics>div.post {
        padding: 0;
    }
    #mainContent {
        width: 100%!important;
    }
}

.CalTodayDay {
    background: #f1c4cd !important;
    color: white;
}

.postTitle a {
    font-size: 30px;
}

#navCategory b {
    font-size: 22px;
}

#navCategory ul li a {
    color: cornflowerblue;
}


/*以下锚点*/

#sideToolbar {
    position: fixed;
    bottom: -12px;
    right: 25px;
    width: 250px;
    height: 440px
}

#sideCatalog {
    background-color: #fff;
    padding-bottom: 10px;
    border-radius: 5px;
}

#sideCatalog-sidebar {
    -moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    background-color: #eaeaea;
    border-color: -moz-use-text-color #eaeaea;
    border-image: none;
    border-left: 1px solid #eaeaea;
    border-right: 1px solid #eaeaea;
    border-style: none solid;
    border-width: 0 1px;
    height: 353px;
    left: 5px;
    position: absolute;
    top: 0;
    width: 0
}

#sideCatalog-catalog {
    height: 325px;
    padding-top: 18px;
    overflow-x: hidden;
    overflow-y: scroll;
    padding-left: 23px;
    position: relative
}

#sideCatalog #sideCatalog-sidebar .sideCatalog-sidebar-top {
    cursor: pointer;
    top: 0
}

#sideCatalog #sideCatalog-sidebar .sideCatalog-sidebar-bottom {
    bottom: 0
}

#sideCatalog #sideCatalog-sidebar .sideCatalog-sidebar-top,
#sideCatalog #sideCatalog-sidebar .sideCatalog-sidebar-bottom {
    background: url("https://images.cnblogs.com/cnblogs_com/RainFate/1617787/o_191220133515o_o_sideToolbar.png") no-repeat scroll 0 -199px transparent;
    height: 10px;
    left: -5px;
    overflow: hidden;
    position: absolute;
    width: 10px
}

#sideCatalog li {
    margin: 0px;
    padding: 4px 7px;
    text-align: left;
    position: relative
}

#sideCatalog li:hover {
    background-color: #f5f5f5
}

#sideCatalog-catalog ul .active {
    background-color: #f5f5f5
}

#sideCatalog-catalog .active a {
    color: #519cea
}

#sideCatalog-catalog a:hover {
    color: #519cea
}

#sideCatalog span :first-child {
    color: #999;
    font-family: Arial;
    font-size: 14px;
    font-weight: bold;
    padding-right: 5px
}

#sideCatalog li.h2Offset {
    padding-left: 45px;
    text-indent: -25px
}

#sideCatalog li.h3Offset {
    padding-left: 90px;
    text-indent: -50px
}

#sideCatalog a {
    text-decoration: none;
    color: #555;
    font-weight: bold
}

.sideCatalog-dot {
    background: url("https://images.cnblogs.com/cnblogs_com/RainFate/1617787/o_191220133515o_o_sideToolbar.png") repeat scroll 0 -222px transparent;
    cursor: pointer;
    font-size: 12px;
    height: 10px;
    left: -10px;
    line-height: 12px;
    overflow: hidden;
    position: absolute;
    top: 10px;
    width: 6px
}

#sideCatalog .highlight .sideCatalog-dot {
    background: url("https://images.cnblogs.com/cnblogs_com/RainFate/1617787/o_191220133515o_o_sideToolbar.png") no-repeat scroll -271px -38px transparent;
    height: 13px;
    left: -23px;
    top: 3px;
    width: 18px
}

#sideCatalogBtn {
    background: url("https://images.cnblogs.com/cnblogs_com/RainFate/1617787/o_191220133515o_o_sideToolbar.png") no-repeat scroll 0 0 transparent;
    cursor: pointer;
    display: block;
    height: 45px;
    margin-bottom: 5px;
    margin-left: 5px;
    position: relative;
    width: 45px;
    margin-top: 10px;
    outline: 0
}

#sideCatalogBtn:hover {
    background: url("https://images.cnblogs.com/cnblogs_com/RainFate/1617787/o_191220133515o_o_sideToolbar.png") no-repeat scroll -154px 0 transparent;
}

#sideToolbar-up {
    background: url("https://images.cnblogs.com/cnblogs_com/RainFate/1617787/o_191220133515o_o_sideToolbar.png") no-repeat scroll -1px -62px transparent;
    border-radius: 2px;
    display: block;
    height: 45px;
    margin-left: 5px;
    width: 45px;
    outline: 0
}

#sideToolbar-up:hover {
    background: url("https://images.cnblogs.com/cnblogs_com/RainFate/1617787/o_191220133515o_o_sideToolbar.png") no-repeat scroll -74px -62px transparent
}

#div_digg {
    z-index: 999;
}


/*以上是锚点*/


/*以下是返回顶部*/

#gotop {
    background: url("https://images.cnblogs.com/cnblogs_com/RainFate/1617787/o_191220133515o_o_sideToolbar.png") no-repeat scroll -1px -62px transparent !important;
    width: 45px;
    height: 45px;
    overflow: hidden;
    position: fixed;
    right: 166px;
    bottom: 20px;
    cursor: pointer;
    display: none;
    z-index: 999;
}

#gotop:hover {
    background: url("https://images.cnblogs.com/cnblogs_com/RainFate/1617787/o_191220133515o_o_sideToolbar.png") no-repeat scroll -74px -62px transparent !important;
}


/*以下是返回顶部*/

#sideCatalog-catalog::-webkit-scrollbar {
    display: none;
    /* Chrome Safari */
}


/*! Color themes for Google Code Prettify | MIT License | github.com/jmblog/color-themes-for-google-code-prettify */

.pln {
    color: #4d4d4c
}

ol.linenums {
    margin-top: 0;
    margin-bottom: 0;
    color: #8e908c
}

li.L0,
li.L1,
li.L2,
li.L3,
li.L4,
li.L5,
li.L6,
li.L7,
li.L8,
li.L9 {
    padding-left: 1em;
    background-color: #fff;
    list-style-type: decimal!important;
}

@media screen {
    .str {
        color: #718c00
    }
    .kwd {
        color: #8959a8
    }
    .com {
        color: #8e908c
    }
    .typ {
        color: #4271ae
    }
    .lit {
        color: #f5871f
    }
    .pun {
        color: #4d4d4c
    }
    .opn {
        color: #4d4d4c
    }
    .clo {
        color: #4d4d4c
    }
    .tag {
        color: #c82829
    }
    .atn {
        color: #f5871f
    }
    .atv {
        color: #3e999f
    }
    .dec {
        color: #f5871f
    }
    .var {
        color: #c82829
    }
    .fun {
        color: #4271ae
    }
}


/*下面是我设置背景色，字体大小和字体*/

#cnblogs_post_body>pre,
#cnblogs_post_body>pre>code {
    background: black!important;
    color: white;
}

#cnblogs_post_body>pre>code span {
    color: #7cdfb0;
}

.postBody blockquote {
    background: #E9F8F1!important;
    border: 0!important;
    border-left: 4px solid #ec9bad;
}

.postBody blockquote p {
    text-indent: 0!important;
}

.cnblogs_code,
.cnblogs_code span,
.cnblogs-markdown .hljs {
    font-size: 16px!important;
}

.syntaxhighlighter a,
.syntaxhighlighter div,
.syntaxhighlighter code,
.syntaxhighlighter table,
.syntaxhighlighter table td,
.syntaxhighlighter table tr,
.syntaxhighlighter table tbody,
.syntaxhighlighter table thead,
.syntaxhighlighter table caption,
.syntaxhighlighter textarea {
    font-size: 16px!important;
}

.postBody blockquote,
.postBody blockquote span,
.cnblogs-markdown .hljs {
    font-family: consolas, "Source Code Pro", monaco, monospace !important;
}

#navCategory {
    display: none!important;
}

#cnblogs_post_body>blockquote {
    width: 100%!important;
    padding-left: 20px;
    padding-top: 5px;
    padding-bottom: 5px;
    overflow: scroll;
    border: 0;
    border-radius: 0!important;
    border-left: 6px solid #ec9bad!important;
}

pre::-webkit-scrollbar,
#cnblogs_post_body>blockquote::-webkit-scrollbar {
    display: none
}

#cnblogs_post_body>pre>code {
    width: 100%!important;
    margin-right: 0;
}

@media screen and (min-width: 930px)and (max-width: 980px) {
    pre {
        max-width: 550px;
    }
}

@media screen and (min-width: 980px)and (max-width: 1050px) {
    pre {
        max-width: 600px;
    }
}

@media screen and (min-width: 1050px)and (max-width: 1280px) {
    pre {
        max-width: 800px;
    }
}

#cnblogs_post_body>p>a,
#post_next_prev>a:hover,
#cb_post_title_url:hover,
#mainContent>div>div>div.postTitle>a:hover,
#mainContent>div>div>div.postTitle>a:link,
#mainContent>div>div>div.postTitle>a:visited,
li>a,
#mainContent>div>div>div.postTitle>a #comment_nav>A:hover {
    color: #F873A0!important;
}

/*添加按钮*/
.cnblogs-markdown pre {
  position: relative;
}
.cnblogs-markdown pre > span {
  position: absolute;
  top: 0;
  right: 0;
  border-radius: 2px;
  padding: 0 10px;
  font-size: 12px;
  background: rgba(0, 0, 0, 0.4);
  color: #fff;
  cursor: pointer;
  display:none;
}
.cnblogs-markdown pre:hover > span {
  display:block;
}
.cnblogs-markdown pre > .copyed {
  background: #67c23a;
}
